Bug 136172 - UI File recovery wizard does not discard data about files it failed to restore
Summary: UI File recovery wizard does not discard data about files it failed to restore
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Document-Recovery
  Show dependency treegraph
 
Reported: 2020-08-27 09:56 UTC by NISZ LibreOffice Team
Modified: 2022-09-11 03:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot of the recovery wizard start with files already renamed (12.46 KB, image/png)
2020-08-27 09:56 UTC, NISZ LibreOffice Team
Details
Wizard does not find the file to recover (15.48 KB, image/png)
2020-08-27 09:56 UTC, NISZ LibreOffice Team
Details
Final step of the wizard: could not recover files, but can not remove data about them (10.86 KB, image/png)
2020-08-27 09:57 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-08-27 09:56:05 UTC
Created attachment 164736 [details]
Screenshot of the recovery wizard start with files already renamed

Some of our users complained about the document recovery wizard “constantly popping up”.
Turns out if the recovery wizard fails to recover a document – such as there was a crash, but no backup was made yet and the original file was removed – the wizard does not discard recovery information automatically.
It is not possible to do so manually after the recovery is failed. 
So upon next LO start the failed document shows up again in the recovery wizard. 
Users could make a thoughtful decision to discard the recovery data at this point, but sometimes this does not happen: their perception is that it’s better to let the wizard always try to do the recovery.

Steps to reproduce:
    1. Make LO crash with a document. I used attachment #100424 [details] on a 32 bit build, saving this file on Windows still causes a crash (but not on 64 bits).
    2. Before next LO start rename the original file.
    3. Start LO. The recovery wizard shows up and proposes to recover attachment #100424 [details] 
    4. Choose Start, and observe that recovery fails
    5. After the failed recovery only the Finish button is available, Discard is disabled.
    6. Exit LO and reopen it.
    7. The recovery wizard shows up again, proposing to recover attachment #100424 [details] 

Actual results:
After a failed recovery the info about the file to recover is not deleted automatically.

Expected results:
If recovery fails LO should make it possible to remove recovery data about failed files, i.e. do what the Discard button does at start time. 
Maybe in an explicit question, with the answer defaulting to “Delete”.
Or even remove the recovery data automatically when the user clicks Finish. It’s unlikely next time it will be more successful - at least for local files, not sure about networked ones.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x86)
Build ID: 4f0617275f2c9669901a4b06d2133533ceb437a0
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-08-27 09:56:31 UTC
Created attachment 164737 [details]
Wizard does not find the file to recover
Comment 2 NISZ LibreOffice Team 2020-08-27 09:57:30 UTC
Created attachment 164738 [details]
Final step of the wizard: could not recover files, but can not remove data about them
Comment 3 Heiko Tietze 2020-09-10 13:25:49 UTC
Could the file be on a volatile storage such as a USB stick or remote? In this case you may want to try again.
Comment 4 QA Administrators 2022-09-11 03:42:39 UTC
Dear NISZ LibreOffice Team,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug